%global appname fmt

Name:           fmt10
Version:        10.2.1
Release:        6%{?dist}

License:        MIT
Summary:        Compatibility version of the %{appname}
URL:            https://github.com/fmtlib/%{appname}
Source0:        %{url}/archive/%{version}.tar.gz
# https://github.com/fmtlib/fmt/commit/d7592ad8bfa41eda239497f672ae8dc7bda00a4b
Patch0:         0001-Fix-handling-of-static-separator.patch
BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ninja-build

# This package replaces the old name of cppformat
Provides:       cppformat = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      cppformat < %{?epoch:%{epoch}:}%{version}-%{release}

%description
C++ Format is an open-source formatting library for C++. It can be used as a
safe alternative to printf or as a fast alternative to IOStreams.

Warning! This is a limited-time compatibility version of %{appname}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
# for usage with -DFMT_HEADER_ONLY
Provides:       %{appname}-static = %{?epoch:%{epoch}:}%{version}-%{release}
Conflicts:      %{appname}-devel%{?_isa}

# This package replaces the old name of cppformat
Provides:       cppformat-devel = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes:      cppformat-devel < %{?epoch:%{epoch}:}%{version}-%{release}

%description    devel
This package contains the header file for using %{name}.

%prep
%autosetup -n %{appname}-%{version} -p1

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON \
    -DFMT_CMAKE_DIR:STRING=%{_libdir}/cmake/%{appname} \
    -DFMT_LIB_DIR:STRING=%{_libdir}
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc ChangeLog.md README.md
%{_libdir}/lib%{appname}.so.10*

%files devel
%{_includedir}/%{appname}
%{_libdir}/lib%{appname}.so
%{_libdir}/cmake/%{appname}
%{_libdir}/pkgconfig/%{appname}.pc

%changelog
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 10.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Adam Williamson <awilliam@redhat.com> - 10.2.1-5
- Bump release to be higher than old fmt package

* Sun Jul 14 2024 Kefu Chai <tchaikov@gmail.com> - 10.2.1-1
- Converted to compatibility package.
